Remove Tags & Custom Fields
POSThttps://public.leadpattern.com/customer/remove-tags-custom-fields
Remove specific tags and/or custom field values from an existing customer.
- customFields here is a list of names (strings) — unlike the assign endpoint, which takes { name, value } objects.
Headers
1 fieldAuthorizationstringrequired
Your API key. Sent raw (e.g. 'lp_...'). No Bearer prefix required.
Body Parameters
3 fieldsphonestringrequired
Customer phone (with country code).
tagsarray<string>optional
Tag names to remove.
customFieldsarray<string>optional
Custom field names to remove.
Responses
JSON Response
{
"type": "success",
"data": {
"tags": {
"removed": [
"VIP"
],
"errored": []
},
"customFields": {
"removed": [
"Plan"
],
"errored": []
}
}
}Sample Request Body
{
"phone": "+9195XXXXXXXX",
"tags": [
"VIP"
],
"customFields": [
"Plan"
]
}
